Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(555)

Unified Diff: src/platform/vboot_reference/tests/run_image_verification_tests.sh

Issue 1530009: Make image verification test script call big_{firmware|kernel} tests. (Closed)
Patch Set: Created 10 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: src/platform/vboot_reference/tests/run_image_verification_tests.sh
diff --git a/src/platform/vboot_reference/tests/run_image_verification_tests.sh b/src/platform/vboot_reference/tests/run_image_verification_tests.sh
index 3eba26ee06db798bbff57996b2654bb9fc2e9e0b..26cf069b406c799f31ae163316051744b51880ba 100755
--- a/src/platform/vboot_reference/tests/run_image_verification_tests.sh
+++ b/src/platform/vboot_reference/tests/run_image_verification_tests.sh
@@ -18,7 +18,7 @@ function test_firmware_verification {
for hashalgo in ${hash_algos[@]}
do
echo -e "For Root key ${COL_YELLOW}RSA-$keylen/$hashalgo${COL_STOP}:"
- cd ${UTIL_DIR} && ${TEST_DIR}/firmware_image_tests $algorithmcounter \
+ ${TEST_DIR}/firmware_image_tests $algorithmcounter \
${TESTKEY_DIR}/key_rsa8192.pem \
${TESTKEY_DIR}/key_rsa8192.keyb \
${TESTKEY_DIR}/key_rsa${keylen}.pem \
@@ -30,6 +30,11 @@ function test_firmware_verification {
let algorithmcounter=algorithmcounter+1
done
done
+ cd ${TEST_DIR} && ${TEST_DIR}/big_firmware_tests
petkov 2010/03/30 22:40:06 Another way to write this might be: cd ${TEST_DIR
+ if [ $? -ne 0 ]
+ then
+ return_code=255
+ fi
}
function test_kernel_verification {
@@ -50,7 +55,7 @@ function test_kernel_verification {
RSA-${firmware_keylen}/${firmware_hashalgo}${COL_STOP} \
and ${COL_YELLOW}Kernel signing algorithm RSA-${kernel_keylen}/\
${kernel_hashalgo}${COL_STOP}"
- cd ${UTIL_DIR} && ${TEST_DIR}/kernel_image_tests \
+ ${TEST_DIR}/kernel_image_tests \
$firmware_algorithmcounter $kernel_algorithmcounter \
${TESTKEY_DIR}/key_rsa${firmware_keylen}.pem \
${TESTKEY_DIR}/key_rsa${firmware_keylen}.keyb \
@@ -66,6 +71,11 @@ ${kernel_hashalgo}${COL_STOP}"
let firmware_algorithmcounter=firmware_algorithmcounter+1
done
done
+ cd ${TEST_DIR} && ${TEST_DIR}/big_kernel_tests
+ if [ $? -ne 0 ]
+ then
+ return_code=255
+ fi
}
check_test_keys
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698